Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.parser.destinations
Class RtfDestinationDocument

    java.lang.Object
      com.lowagie.text.rtf.parser.destinations.RtfDestination
          com.lowagie.text.rtf.parser.destinations.RtfDestinationDocument

All Implemented Interfaces:
  RtfPropertyListener, java.util.EventListener

    public final class RtfDestinationDocument

extends RtfDestination
implements RtfPropertyListener

`RtfDestinationDocument` handles data destined for the document destination

Since:
  2.1.0
Author:
  Howard Shank (hgshank@yahoo.com)

Field Summary
`private java.lang.StringBuffer` | `buffer`
`private int` | `conversionType` Indicates the parser action.
`private static java.util.List` | `CONVERT_IGNORED_CTRLWORDS`
`private Document` | `doc` The iText Document object.
`private static java.util.List` | `IMPORT_IGNORED_CTRLWORDS`
`private Paragraph` | `iTextParagraph`
`private RtfDocument` | `rtfDoc` The RtfDocument object.
`private int` | `tableLevel` Indicates the current table level being processed

Fields inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination
`lastCtrlWord, modified, rtfParser`

Constructor Summary
`RtfDestinationDocument()`
`RtfDestinationDocument(RtfParser parser)` Constructs a new `RtfDestinationDocument` using the parameters to initialize the object.

Method Summary
`private void` | `addParagraphToDocument()`
`void` | `afterPropertyChange(java.lang.String propertyName)`
`void` | `beforePropertyChange(java.lang.String propertyName)`
`boolean` | `closeDestination()` Clean up when destination is closed.
`protected void` | `finalize()`
`boolean` | `handleCharacter(int ch)` Handle text for this destination
`boolean` | `handleCloseGroup()` Clean up when group is closed.
`boolean` | `handleControlWord(RtfCtrlWordData ctrlWordData)` Handle control word for this destination
`boolean` | `handleOpenGroup()` Setup when group is opened.
`boolean` | `handleOpeningSubGroup()` Handle a new subgroup contained within this group
`void` | `setParser(RtfParser parser)` Set the parser to use with the RtfDestination object.
`void` | `setToDefaults()` Method to set this object to the default values.
`private void` | `writeBuffer()` Write the accumulated buffer to the destination.
`private void` | `writeText(java.lang.String value)` Write the string value to the destination.

Methods inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination
`addListener, afterCharacter, afterCtrlWord, beforeCharacter, beforeCtrlWord, getNewTokeniserState, isModified, onCharacter, onCloseGroup, onCtrlWord, onOpenGroup, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rtfDoc

    private RtfDocument rtfDoc

  The RtfDocument object.

  See Also:
    `RtfDocument`

### doc

    private Document doc

  The iText Document object.

  See Also:
    `Document`

### buffer

    private java.lang.StringBuffer buffer

### conversionType

    private int conversionType

  Indicates the parser action. Import or Conversion.

  See Also:
    `RtfParser.TYPE_UNIDENTIFIED`, `RtfParser.TYPE_CONVERT`, `RtfParser.TYPE_IMPORT_FRAGMENT`, `RtfParser.TYPE_IMPORT_FULL`

### tableLevel

    private int tableLevel

  Indicates the current table level being processed

### IMPORT_IGNORED_CTRLWORDS

    private static final java.util.List IMPORT_IGNORED_CTRLWORDS

### CONVERT_IGNORED_CTRLWORDS

    private static final java.util.List CONVERT_IGNORED_CTRLWORDS

### iTextParagraph

    private Paragraph iTextParagraph

Constructor Detail

### RtfDestinationDocument

    public RtfDestinationDocument()

### RtfDestinationDocument

    public RtfDestinationDocument(RtfParser parser)

  Constructs a new `RtfDestinationDocument` using the parameters to initialize the object.

  Parameters:
    `parser` - an RtfParser.

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### setParser

    public void setParser(RtfParser parser)

  Description copied from class: `RtfDestination`
  Set the parser to use with the RtfDestination object.

  Overrides:
    `setParser` in class `RtfDestination`
  Parameters:
    `parser` - The RtfParser object.

### closeDestination

    public boolean closeDestination()

  Description copied from class: `RtfDestination`
  Clean up when destination is closed.

  Specified by:
    `closeDestination` in class `RtfDestination`
  Returns:
    true if handled, false if not handled

### handleOpenGroup

    public boolean handleOpenGroup()

  Description copied from class: `RtfDestination`
  Setup when group is opened.

  Specified by:
    `handleOpenGroup` in class `RtfDestination`
  Returns:
    true if handled, false if not handled

### handleOpeningSubGroup

    public boolean handleOpeningSubGroup()

  Description copied from class: `RtfDestination`
  Handle a new subgroup contained within this group

  Specified by:
    `handleOpeningSubGroup` in class `RtfDestination`
  Returns:
    true if handled, false if not handled

### handleCloseGroup

    public boolean handleCloseGroup()

  Description copied from class: `RtfDestination`
  Clean up when group is closed.

  Specified by:
    `handleCloseGroup` in class `RtfDestination`
  Returns:
    true if handled, false if not handled

### handleCharacter

    public boolean handleCharacter(int ch)

  Description copied from class: `RtfDestination`
  Handle text for this destination

  Specified by:
    `handleCharacter` in class `RtfDestination`
  Returns:
    true if handled, false if not handled

### handleControlWord

    public boolean handleControlWord(RtfCtrlWordData ctrlWordData)

  Description copied from class: `RtfDestination`
  Handle control word for this destination

  Specified by:
    `handleControlWord` in class `RtfDestination`
  Parameters:
    `ctrlWordData` - The control word and parameter information object
  Returns:
    true if handled, false if not handled

### writeBuffer

    private void writeBuffer()

  Write the accumulated buffer to the destination. Used for direct content

### writeText

    private void writeText(java.lang.String value)

  Write the string value to the destination. Used for direct content

  Parameters:
    `value` -

### setToDefaults

    public void setToDefaults()

  Description copied from class: `RtfDestination`
  Method to set this object to the default values. Must be implemented in child class.

  Specified by:
    `setToDefaults` in class `RtfDestination`

### afterPropertyChange

    public void afterPropertyChange(java.lang.String propertyName)

  Specified by:
    `afterPropertyChange` in interface `RtfPropertyListener`

### beforePropertyChange

    public void beforePropertyChange(java.lang.String propertyName)

  Specified by:
    `beforePropertyChange` in interface `RtfPropertyListener`

### addParagraphToDocument

    private void addParagraphToDocument()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD